[Mailman-Users] Foolish Newbie Question - Python v. Python2

Ashley M. Kirchner ashley at pcraft.com
Wed Sep 4 21:28:20 CEST 2002

John DeCarlo wrote:

> --with-python=</path/to/python>
> option to customize the installation, and have it say "=/usr/bin/python2"?  Or what?

    I don't see why this wouldn't work.

> I don't know why Red Hat has both on there, but there might be a good reason to have both.

    This is why (based on one of my systems):

    # rpm -e --test python
      python is needed by PyXML-0.7-4
      python is needed by 4Suite-0.11.1-8
      python is needed by python-clap-1.0.0-3
      python = 1.5.2-38 is needed by python-devel-1.5.2-38
      python is needed by Distutils-1.0.2-2
      python is needed by python-popt-0.8.8-7.x.2
      /usr/bin/python   is needed by PyXML-0.7-4
      /usr/bin/python   is needed by 4Suite-0.11.1-8
      /usr/bin/python   is needed by gettext-0.11.1-2


    # rpm -e --test python2
      ...yields zip, nothing, nada.

W | I haven't lost my mind; it's backed up on tape somewhere.
  Ashley M. Kirchner <mailto:ashley at pcraft.com>   .   303.442.6410 x130
  IT Director / SysAdmin / WebSmith             .     800.441.3873 x130
  Photo Craft Laboratories, Inc.            .     3550 Arapahoe Ave. #6
  http://www.pcraft.com ..... .  .    .       Boulder, CO 80303, U.S.A.

More information about the Mailman-Users mailing list